> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.staple.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.staple.ai/_mcp/server.

# Get Invoices

POST https://api.staple.io/v1/billings/invoices
Content-Type: application/json

Get information about all your invoices till date.

Reference: https://docs.staple.ai/api-reference/v1/billings/get-invoices

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: v1
  version: 1.0.0
paths:
  /v1/billings/invoices:
    post:
      operationId: getInvoices
      summary: Get Invoices
      description: Get information about all your invoices till date.
      tags:
        - billings
      parameters:
        - name: x-api-key
          in: header
          description: API key issued by Staple.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Billings_getInvoices_Response_200'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                pagination:
                  $ref: >-
                    #/components/schemas/V1BillingsInvoicesPostRequestBodyContentApplicationJsonSchemaPagination
servers:
  - url: https://api.staple.io
    description: https://api.staple.io
components:
  schemas:
    V1BillingsInvoicesPostRequestBodyContentApplicationJsonSchemaPagination:
      type: object
      properties:
        limit:
          type: integer
        next:
          type: string
        prev:
          type: string
      title: V1BillingsInvoicesPostRequestBodyContentApplicationJsonSchemaPagination
    Billings_getInvoices_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Billings_getInvoices_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key issued by Staple.
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT obtained from the login endpoint.

```

## Examples

### Get Invoices



**Request**

```json
undefined
```

**Response**

```json
{
  "nextPrevInvoices": {
    "items": [
      {
        "created": "30/5/2020",
        "number": "3709AB39-0007",
        "total": "11,550"
      },
      {
        "created": "31/4/2020",
        "number": "3709AB39-0006",
        "total": "7,550"
      },
      {
        "created": "30/3/2020",
        "number": "3709AB39-0005",
        "total": "10,490"
      },
      {
        "created": "31/2/2020",
        "number": "3709AB39-0004",
        "total": "12,450"
      },
      {
        "created": "29/1/2020",
        "number": "3709AB39-0003",
        "total": "13,090"
      }
    ],
    "next": "in_1GHS5JA3h3FfYrs3VS6UlOrx",
    "prev": "in_1GzgEZA3h3FfYrs3sEltQt8Z"
  }
}
```

**SDK Code**

```python Get Invoices
import requests

url = "https://api.staple.io/v1/billings/invoices"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Get Invoices
const url = 'https://api.staple.io/v1/billings/invoices';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Get Invoices
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v1/billings/invoices"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Get Invoices
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v1/billings/invoices")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Get Invoices
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.staple.io/v1/billings/invoices")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Get Invoices
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.staple.io/v1/billings/invoices', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Get Invoices
using RestSharp;

var client = new RestClient("https://api.staple.io/v1/billings/invoices");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Get Invoices
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v1/billings/invoices")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Billings_getInvoices_example



**Request**

```json
{
  "pagination": {
    "limit": 5,
    "next": "",
    "prev": ""
  }
}
```

**Response**

```json
{
  "nextPrevInvoices": {
    "items": [
      {
        "created": "30/5/2020",
        "number": "3709AB39-0007",
        "total": "11,550"
      },
      {
        "created": "31/4/2020",
        "number": "3709AB39-0006",
        "total": "7,550"
      },
      {
        "created": "30/3/2020",
        "number": "3709AB39-0005",
        "total": "10,490"
      },
      {
        "created": "31/2/2020",
        "number": "3709AB39-0004",
        "total": "12,450"
      },
      {
        "created": "29/1/2020",
        "number": "3709AB39-0003",
        "total": "13,090"
      }
    ],
    "next": "in_1GHS5JA3h3FfYrs3VS6UlOrx",
    "prev": "in_1GzgEZA3h3FfYrs3sEltQt8Z"
  }
}
```

**SDK Code**

```python Billings_getInvoices_example
import requests

url = "https://api.staple.io/v1/billings/invoices"

payload = { "pagination": {
        "limit": 5,
        "next": "",
        "prev": ""
    } }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Billings_getInvoices_example
const url = 'https://api.staple.io/v1/billings/invoices';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"pagination":{"limit":5,"next":"","prev":""}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Billings_getInvoices_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v1/billings/invoices"

	payload := strings.NewReader("{\n  \"pagination\": {\n    \"limit\": 5,\n    \"next\": \"\",\n    \"prev\": \"\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Billings_getInvoices_example
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v1/billings/invoices")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"pagination\": {\n    \"limit\": 5,\n    \"next\": \"\",\n    \"prev\": \"\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Billings_getInvoices_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.staple.io/v1/billings/invoices")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"pagination\": {\n    \"limit\": 5,\n    \"next\": \"\",\n    \"prev\": \"\"\n  }\n}")
  .asString();
```

```php Billings_getInvoices_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.staple.io/v1/billings/invoices', [
  'body' => '{
  "pagination": {
    "limit": 5,
    "next": "",
    "prev": ""
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Billings_getInvoices_example
using RestSharp;

var client = new RestClient("https://api.staple.io/v1/billings/invoices");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"pagination\": {\n    \"limit\": 5,\n    \"next\": \"\",\n    \"prev\": \"\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Billings_getInvoices_example
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["pagination": [
    "limit": 5,
    "next": "",
    "prev": ""
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v1/billings/invoices")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```